import define from "../../../define.js";
import { destroy } from "../../../../../queue/index.js";
import { insertModerationLog } from "../../../../../services/insert-moderation-log.js";
export const meta = {
    tags: [
        "admin"
    ],
    requireCredential: true,
    requireModerator: true
};
export const paramDef = {
    type: "object",
    properties: {},
    required: []
};
export default define(meta, paramDef, async (ps, me)=>{
    destroy();
    insertModerationLog(me, "clearQueue");
});
